Bug 39971 - ports/comms minor Makefile cleanup
ports/comms minor Makefile cleanup
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Tilman Keskinoz
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-29 01:20 UTC by sf
Modified: 2002-11-18 23:10 UTC (History)
0 users

See Also:


Attachments
file.diff (385 bytes, patch)
2002-06-29 01:20 UTC, sf
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sf 2002-06-29 01:20:01 UTC
	hardcoded tool names to Mk/bsd.port.mk variable names
	${PERL} -> ${REINPLACE_CMD}

Fix: 

.include <bsd.port.post.mk>
--- patch-hylafax ends here -----Bv1sjnq47eOtYFGMjTp2UQRJnK0hVlk31FCvNgQ5dTbhoS6B
Content-Type: text/plain; name="patch-acfax"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="patch-acfax"

--- Makefile.orig	Thu Jun 13 09:45:17 2002
+++ Makefile	Fri Jun 28 17:07:33 2002
@@ -18,13 +18,14 @@

 WRKSRC=		${WRKDIR}/acfax
 USE_IMAKE=	yes
+USE_REINPLACE=	yes

 post-patch:
-	@${PERL} -pi -e 's|setup_fax\(120, 288|setup_fax(120, 576|' \
+	@${REINPLACE_CMD} -e 's|setup_fax\(120, 288|setup_fax(120, 576|' \
 		${WRKSRC}/acfax.c
-	@${PERL} -pi -e 's|ixoc = 288|ixoc = 576|' ${WRKSRC}/fax_funcs.c
-	@${PERL} -pi -e 's|regex.h|gnuregex.h|' ${WRKSRC}/RegExp.h
-	@${PERL} -pi -e 's|-lm|-lm -lgnuregex|' ${WRKSRC}/Imakefile
+	@${REINPLACE_CMD} -e 's|ixoc = 288|ixoc = 576|' ${WRKSRC}/fax_funcs.c
+	@${REINPLACE_CMD} -e 's|regex.h|gnuregex.h|' ${WRKSRC}/RegExp.h
+	@${REINPLACE_CMD} -e 's|-lm|-lm -lgnuregex|' ${WRKSRC}/Imakefile

 post-configure:
 		${TOUCH} ${WRKSRC}/acfax.man
Comment 1 Tilman Keskinoz freebsd_committer 2002-11-03 18:39:28 UTC
Responsible Changed
From-To: freebsd-ports->arved

I'll handle that one
Comment 2 Tilman Keskinoz freebsd_committer 2002-11-18 23:10:40 UTC
State Changed
From-To: open->closed

Committed, thanks